Bug 174885 - [macOS] Reeder's defaults font is Times instead of San Francisco
Summary: [macOS] Reeder's defaults font is Times instead of San Francisco
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-07-26 23:29 PDT by Myles C. Maxfield
Modified: 2017-08-15 10:05 PDT (History)
9 users (show)

See Also:


Attachments
Patch (8.70 KB, patch)
2017-07-26 23:32 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (10.50 KB, patch)
2017-07-28 11:03 PDT, Myles C. Maxfield
simon.fraser: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2017-07-26 23:29:05 PDT
[macOS] Reeder's defaults font is Times instead of San Francisco
Comment 1 Myles C. Maxfield 2017-07-26 23:32:15 PDT
Created attachment 316529 [details]
Patch
Comment 2 Myles C. Maxfield 2017-07-26 23:32:58 PDT
<rdar://problem/33462483>
Comment 3 Myles C. Maxfield 2017-07-28 11:03:17 PDT
Created attachment 316648 [details]
Patch
Comment 4 Simon Fraser (smfr) 2017-07-28 11:06:47 PDT
Comment on attachment 316648 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=316648&action=review

> Source/WebCore/platform/graphics/FontDescription.cpp:163
> +    if (family1.startsWith('.'))
> +        return StringHash::equal(family1.string(), family2.string());
> +    return ASCIICaseInsensitiveHash::equal(family1, family2);

Please add a comment here with a radar number that references the underlying reason why dot names have to be case sensitive.

> Source/WebCore/platform/graphics/FontDescription.cpp:170
> +    if (family.startsWith('.'))
> +        return StringHash::hash(family.string());
> +    return ASCIICaseInsensitiveHash::hash(family);

And here.

> Source/WebCore/platform/graphics/FontDescription.cpp:177
> +    if (family.startsWith('.'))
> +        return family.string();
> +    return family.string().foldCase();

And here.
Comment 5 Myles C. Maxfield 2017-07-28 11:36:43 PDT
Committed r220009: <http://trac.webkit.org/changeset/220009>
Comment 6 Michael Catanzaro 2017-08-15 10:05:06 PDT
Looks like this test is supposed to be specific to macOS and iOS, right? I'm going to skip it in the global expectations file and mark it as passing for macOS and iOS.